Bug 1275417 - Build aiohttp for epel7
Build aiohttp for epel7
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-aiohttp (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 16:53 EDT by Pierre-YvesChibon
Modified: 2016-12-06 19:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2015-10-26 16:53:45 EDT
Hi,

There seems to be an epel7 branch for python-aiohttp: https://admin.fedoraproject.org/pkgdb/package/python-aiohttp/
but I can't find traces of a build: http://koji.fedoraproject.org/koji/packageinfo?packageID=19224

Would you mind if I rebuild the rawhide version and push it to epel7?

Thanks
Comment 1 Fabian Affolter 2016-04-02 04:29:19 EDT
aiohttp seems to be Py3 only.
Comment 2 Pierre-YvesChibon 2016-04-02 12:24:50 EDT
And epel7 has python3 now so if we can get the dependencies built in epel7, we will be able to build aiohttp as well :)
Comment 3 Igor Gnatenko 2016-07-07 09:37:21 EDT
(In reply to Pierre-YvesChibon from comment #2)
> And epel7 has python3 now so if we can get the dependencies built in epel7,
> we will be able to build aiohttp as well :)

IIRC there is 3.4, which doesn't have asyncio support.
Comment 4 Dan Callaghan 2016-12-06 19:44:18 EST
aiohttp works on Python 3.4. The new await/async def syntax is optional.

https://aiohttp.readthedocs.io/en/stable/#dependencies

says: "Python 3.4.2+"

Note You need to log in before you can comment on or make changes to this bug.